<?php
/**
|------------------------------------------------------------------------------
| OPTIONS
|------------------------------------------------------------------------------
*/
	$wp_customize->add_panel( 'panel_styles_colors', array(
		'priority'			=> 31,
		'capability'		=> 'edit_theme_options',
		'theme_supports'	=> '',
		'title'				=> __( 'Options Style', 'veayo' )
	));

	/**********************
	* Section: Link Color *
	***********************/
	$wp_customize->add_section( 'veayo_color_section' , array(
		'title'				=> __( 'Appearance', 'veayo' ),
		'priority'			=> 1,
		'panel'				=> 'panel_styles_colors'
	));

	/*******************
	* Primary Color *
	********************/

	/* Primary BG */
	$wp_customize->add_setting( 'veayo_1st_bg', array(
		'default'			=> '#ffffff',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'veayo_1st_bg', array(
		'label'				=> __( 'Background Color <small style="font-style: italic;font-weight: normal;">(primary button)</small>', 'veayo' ),
		'section'			=> 'veayo_color_section',
		'settings'			=> 'veayo_1st_bg',
		'priority'			=> 2,
	)));

	/* Primary Border */
	$wp_customize->add_setting( 'veayo_1st_color', array(
		'default'			=> '#000be6',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'veayo_1st_color', array(
		'label'				=> __( 'Text Color <small style="font-style: italic;font-weight: normal;">(primary button)</small>', 'veayo' ),
		'section'			=> 'veayo_color_section',
		'settings'			=> 'veayo_1st_color',
		'priority'			=> 3,
	)));

	/* Primary Color */
	$wp_customize->add_setting( 'veayo_1st_color_border', array(
		'default'			=> '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'veayo_1st_color_border', array(
		'label'				=> __( 'Border Color <small style="font-style: italic;font-weight: normal;">(primary button)</small>', 'veayo' ),
		'section'			=> 'veayo_color_section',
		'settings'			=> 'veayo_1st_color_border',
		'priority'			=> 4,
	)));


	/*******************
	* Secondary Color *
	********************/
	
	/* Secondary BG */
	$wp_customize->add_setting( 'veayo_2nd_bg', array(
		'default'			=> '',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'veayo_2nd_bg', array(
		'label'				=> __( 'Background Color <small style="font-style: italic;font-weight: normal;">(secondary button)</small>', 'veayo' ),
		'section'			=> 'veayo_color_section',
		'settings'			=> 'veayo_2nd_bg',
		'priority'			=> 5,
	)));

	/* Secondary Border */
	$wp_customize->add_setting( 'veayo_2nd_color', array(
		'default'			=> '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'veayo_2nd_color', array(
		'label'				=> __( 'Text Color <small style="font-style: italic;font-weight: normal;">(secondary button)</small>', 'veayo' ),
		'section'			=> 'veayo_color_section',
		'settings'			=> 'veayo_2nd_color',
		'priority'			=> 6,
	)));

	/* Secondary Color */
	$wp_customize->add_setting( 'veayo_2nd_color_border', array(
		'default'			=> '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'veayo_2nd_color_border', array(
		'label'				=> __( 'Border Color <small style="font-style: italic;font-weight: normal;">(secondary button)</small>', 'veayo' ),
		'section'			=> 'veayo_color_section',
		'settings'			=> 'veayo_2nd_color_border',
		'priority'			=> 7,
	)));